.Drawer {
  position: absolute;
  top: 0;
  width: 600px;
  height: 100vh;
  background: #f8f8fd;
  color: #1b2124;
  font-family: var(--font-family-main);
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  transition: all 0.3s ease;
  overflow: auto;
  &::-webkit-scrollbar {
    width: 25px;
    padding-right: 10px;
  }
  &::-webkit-scrollbar-track {
    width: 10px;
    background: none;
  }
  &::-webkit-scrollbar-thumb {
    background: #2dad96;
    // padding: 5px;
    border-radius: 15px;
    border: 10px solid #f8f8fd;
    box-sizing: border-box;
  }
}

.drawerClose {
  right: -600px;
}
.drawerOpen {
  right: 0;
}
.drawerBackdrop {
  background: #7c7c7d57;
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  transition: opacity 0.3s ease;
}
.drawerBackdropClose {
  z-index: -10;
  opacity: 0;
}
.drawerBackdropOpen {
  opacity: 1;
  z-index: 10;
}
.drawerHeader {
  padding: 20px;
  border-bottom: 1px solid #f4c807;
  min-height: 80px;

  display: flex;
  align-items: center;
  gap: 10px;
}
.drawerBody {
  // padding: 25px 25px 0;
  height: 100%;
}
.drawerFooter {
  margin-top: auto;
}
.arrowBack {
  cursor: pointer;
}
